CVE-2021-39048

IBM Spectrum Protect Client 7.1 and 8.1 is vulnerable to a stack based buffer overflow, caused by improper bounds checking. A local attacker could exploit this vulnerability and cause a denial of service. IBM X-Force ID: 214438.
References
Configurations

Configuration 1 (hide)

AND
cpe:2.3:a:ibm:spectrum_protect_backup-archive_client:*:*:*:*:*:*:*:*
OR cpe:2.3:o:ibm:aix:-:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:-:*:*:*:*:*:*:*
cpe:2.3:o:oracle:solaris:-:*:*:*:*:*:-:*

Configuration 2 (hide)

AND
cpe:2.3:a:ibm:spectrum_protect_backup-archive_client:*:*:*:*:*:*:*:*
OR cpe:2.3:o:hp:hp-ux:-:*:*:*:*:*:*:*
cpe:2.3:o:ibm:aix:-:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:-:*:*:*:*:*:*:*
cpe:2.3:o:oracle:solaris:-:*:*:*:*:*:-:*

Configuration 3 (hide)

AND
cpe:2.3:a:ibm:spectrum_protect_for_space_management:*:*:*:*:*:*:*:*
OR cpe:2.3:o:ibm:aix:-:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:-:*:*:*:*:*:*:*

Configuration 4 (hide)

AND
cpe:2.3:a:ibm:spectrum_protect_for_space_management:*:*:*:*:*:*:*:*
OR cpe:2.3:o:ibm:aix:-:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:-:*:*:*:*:*:*:*

History

16 Dec 2021, 17:12

Type Values Removed Values Added
CVSS v2 : unknown
v3 : unknown
v2 : 2.1
v3 : 5.5
CPE cpe:2.3:o:ibm:aix:-:*:*:*:*:*:*:*
cpe:2.3:o:oracle:solaris:-:*:*:*:*:*:-:*
cpe:2.3:a:ibm:spectrum_protect_for_space_management:*:*:*:*:*:*:*:*
cpe:2.3:a:ibm:spectrum_protect_backup-archive_client:*:*:*:*:*:*:*:*
cpe:2.3:o:hp:hp-ux:-:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:-:*:*:*:*:*:*:*
References (XF) https://exchange.xforce.ibmcloud.com/vulnerabilities/214438 - (XF) https://exchange.xforce.ibmcloud.com/vulnerabilities/214438 - VDB Entry, Vendor Advisory
References (CONFIRM) https://www.ibm.com/support/pages/node/6524706 - (CONFIRM) https://www.ibm.com/support/pages/node/6524706 - Patch, Vendor Advisory
CWE CWE-787

13 Dec 2021, 19:15

Type Values Removed Values Added
New CVE

Information

Published : 2021-12-13 19:15

Updated : 2021-12-16 17:12


NVD link : CVE-2021-39048

Mitre link : CVE-2021-39048


JSON object : View

Products Affected

hp

  • hp-ux

oracle

  • solaris

linux

  • linux_kernel

ibm

  • aix
  • spectrum_protect_for_space_management
  • spectrum_protect_backup-archive_client
CWE
CWE-787

Out-of-bounds Write